Ubuntu

Compiz Wallpaper plugin broken in 10.10

Reported by danjac354@gmail.com on 2010-09-03
154
This bug affects 29 people
Affects Status Importance Assigned to Milestone
X.Org X server
Fix Released
Medium
compiz (Ubuntu)
Undecided
Unassigned
Nominated for Maverick by francois-xavier callewaert

Bug Description

Binary package hint: compiz

Since updating from Lucid to Meerkat the Compiz Wallpaper plugin under Utilities has been broken.

1. Instead of the various wallpapers, each workspace has a plain black background.

2. Switching between applications using Alt-Tab fills the screen with stacks of application images (I have Viewport Switcher enabled). This works fine with the Wallpaper plugin disabled.

I tried changing to different wallpapers but this did not solve the issue.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: compiz 1:0.8.6-0ubuntu5
ProcVersionSignature: Ubuntu 2.6.35-19.28-generic 2.6.35.3
Uname: Linux 2.6.35-19-generic i686
Architecture: i386
CompizPlugins: [core,ccp,move,resize,place,decoration,imgjpeg,regex,text,svg,session,shift,minimize,vpswitch,png,commands,dbus,gnomecompat,mousepoll,workarounds,snap,resizeinfo,blur,thumbnail,reflex,wobbly,fade,neg,cube,rotate,expo,scale,ezoom,scaleaddon,switcher]
Date: Fri Sep 3 10:51:28 2010
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
MachineType: FUJITSU SIEMENS AMILO Li3910
PackageArchitecture: all
PciDisplay: 00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 09) (prog-if 00 [VGA controller])
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-19-generic root=UUID=03235bc1-25d9-41da-8d05-439904967e34 ro quiet splash
ProcEnviron:
 LANG=en_GB.utf8
 SHELL=/bin/bash
RelatedPackageVersions:
 xserver-xorg 1:7.5+6ubuntu3
 libgl1-mesa-glx 7.8.2-2ubuntu2
 libdrm2 2.4.21-1ubuntu2
 xserver-xorg-video-intel 2:2.12.0-1ubuntu3
 xserver-xorg-video-ati 1:6.13.1-1ubuntu4
SourcePackage: compiz
XorgConf: Error: [Errno 2] No such file or directory: '/etc/X11/xorg.conf'
dmi.bios.date: 08/21/2009
dmi.bios.vendor: Phoenix
dmi.bios.version: 1.10
dmi.board.name: EF9
dmi.board.vendor: FUJITSU SIEMENS
dmi.board.version: D3A
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: FUJITSU SIEMENS
dmi.chassis.version: V30_
dmi.modalias: dmi:bvnPhoenix:bvr1.10:bd08/21/2009:svnFUJITSUSIEMENS:pnAMILOLi3910:pvrRev1.0:rvnFUJITSUSIEMENS:rnEF9:rvrD3A:cvnFUJITSUSIEMENS:ct10:cvrV30_:
dmi.product.name: AMILO Li3910
dmi.product.version: Rev 1.0
dmi.sys.vendor: FUJITSU SIEMENS
system: distro = Ubuntu, architecture = i686, kernel = 2.6.35-19-generic

danjac354@gmail.com (danjac354) wrote :
Kalel (ace-cepeda) wrote :

I have the same issue with mine just now. So what I did is to start nautilus and restore the "show desktop" option. But I hope this wallpaper bug gets fixed, co'z I liked it so much that every workspace has a different wallpaper. So far that is one of the bugs I noticed since upgrading to 10.10 (Beta). Well that's what I get for not waiting for the official release. I have been warned!

This is a problem with the X11 and is in the process of being fixed.

On Wed, Sep 22, 2010 at 7:45 PM, Kalel <email address hidden> wrote:
> I have the same issue with mine just now. So what I did is to start
> nautilus and restore the "show desktop" option. But I hope this
> wallpaper bug gets fixed, co'z I liked it so much that every workspace
> has a different wallpaper. So far that is one of the bugs I noticed
> since upgrading to 10.10 (Beta). Well that's what I get for not waiting
> for the official release. I have been warned!
>
> --
> Compiz Wallpaper plugin broken in 10.10
> https://bugs.launchpad.net/bugs/629391
> You received this bug notification because you are a member of compiz
> packagers, which is subscribed to compiz in ubuntu.
>
> _______________________________________________
> Mailing list: https://launchpad.net/~compiz
> Post to     : <email address hidden>
> Unsubscribe : https://launchpad.net/~compiz
> More help   : https://help.launchpad.net/ListHelp
>

--
Sam Spilsbury

Can Sam (or someone else) point to the X11 bug/problem "that is in the process of being fixed" ?

Thanks,
Francois-Xavier

Sam Spilsbury (smspillaz) wrote :

http://bugs.freedesktop.org/show_bug.cgi?id=30260

On Thu, Sep 23, 2010 at 6:27 AM, francois-xavier callewaert
<email address hidden> wrote:
> Can Sam (or someone else) point to the X11 bug/problem "that is  in the
> process of being fixed" ?
>
> Thanks,
> Francois-Xavier
>
> --
> Compiz Wallpaper plugin broken in 10.10
> https://bugs.launchpad.net/bugs/629391
> You received this bug notification because you are a member of compiz
> packagers, which is subscribed to compiz in ubuntu.
>
> _______________________________________________
> Mailing list: https://launchpad.net/~compiz
> Post to     : <email address hidden>
> Unsubscribe : https://launchpad.net/~compiz
> More help   : https://help.launchpad.net/ListHelp
>

--
Sam Spilsbury

Got the same bug since upgrading to Maverick today.
Opening a tty session (ctrl-alt-F1) and then returning to the desktop (ctrl-alt-F7) causes the wallpaper to be drawn properly.
Here's a thread on the French Ubuntu forums with several people experiencing the same problem: http://forum.ubuntu-fr.org/viewtopic.php?id=421649

The work around in #6 works for me too. All my 4 desktops get their unique wallpapers and no more display corruption after that.

affects: compiz (Ubuntu) → xorg-server (Ubuntu)
JMFTheVCI (jmfthevci) wrote :

I have this problem with the GA of 10.10 (upgrade from 10.04)

On my Samsung NC10 netbook running the standard Ubuntu Desktop Edition 10.04 had no issues with Compiz Wallpaper. On reboot and login, subsequent to the upgrade, the session started but had all the freezing & redrawing issues reported by others.

I had to reboot and turn off visual effect and add them back in one-by one till identifying Wallpaper as the culprit. The workaround in #6 does restore functionality but this is not a fix.

#6 works for me as well, but only temporarily. I must enter this code every time I boot up or log in and out.

Lorenzo (lorped) wrote :

Actually the "start tty, than return to X" pseudo-workaround must be done every time you restart the WM (for example with fusion-icon).

pauljohn32 (pauljohn32) wrote :

Have any Ubuntu users applied the patch proposed on the link to the fix in the free desktop site, on the right side of this report. I mean this:

http://bugs.freedesktop.org/show_bug.cgi?id=30260

If so, how? I have the compiz-fusion-plugins-extra source from Ubuntu-10.10, but the patch doesn't apply to compiz-fusion-plugins-extra-0.8.6. What do you think?

Il 02/11/2010 01:40, pauljohn32 ha scritto:
> Have any Ubuntu users applied the patch proposed on the link to the fix
> in the free desktop site, on the right side of this report. I mean
> this:
>
> http://bugs.freedesktop.org/show_bug.cgi?id=30260
>
> If so, how? I have the compiz-fusion-plugins-extra source from
> Ubuntu-10.10, but the patch doesn't apply to compiz-fusion-plugins-
> extra-0.8.6. What do you think?
>

The patch is for the 0.9.x , i.e. C++ , version of Compiz (and related
plugins).
Right now I'm struggling to implement the same patch into the 0.8.6 (
standard C ) version of the plugin, but without any success so far.

If someone has a better understand of the "wallpaper.c" code , please
share.

Lorenzo (lorped) wrote :

The patch is for the 0.9.x , i.e. C++ , version of Compiz (and related plugins).
Right now I'm struggling to implement the same patch into the 0.8.6 ( standard C ) version of the plugin, but without any success so far.

If someone has a better understand of the "wallpaper.c" code , please share.

Lorenzo (lorped) wrote :

At least! I think I successfully integrated the patch into the 0.8.6 code.
You may find attached the fixed wallpaper.c

To self-patch your system you need to download the source for the compiz-fuzion-plugins-extra package, change the wallpaper.c module, recompile (you can recompile just this plugin, "make" into src/wallpaper directory ) and substitute the original libwallpaper.so libwallpaper.ar libwallpaper.la inside /usr/lib/compiz with the new modules (the last two are created inside the src/wallpaper/.libs directory ).

You need also compiz-dev module and the usual compiling tools.

Please, feel free to comment and adjust the code if you find any (other) bugs in my source.

smoosh (lolomcdoo) wrote :

Lorenzo, your fix worked for me, thanks! Wil letcha know if anything comes up, but for now, it looks great!

wiseflying (lihuipengsmacsb) wrote :

Dear Lorenzo and smoosh, would either of you provide a detailed steps of compiling the wallpaper.c file please? I am quite new to Ubuntu and has no experience in compiling. thanks so much.

Lorenzo (lorped) wrote :

Il 05/11/2010 14:38, wiseflying ha scritto:
> Dear Lorenzo and smoosh, would either of you provide a detailed steps of
> compiling the wallpaper.c file please

[safe copy the original modules first! ]

cp /usr/lib/compiz/libwallpaper.* /a/safe/place

[now let's go... ]

sudo apt-get install build-essential
sudo apt-get install intltool
sudo apt-get install compiz-dev
sudo apt-get install compiz-fusion-bcop

sudo apt-get source compiz-fusion-plugins-extra

cd compiz-fusion-plugins-extra-0.8.6/
./configure
cd src/wallpaper/

[ copy here the new wallpaper.c ]

make

sudo cp libwallpaper.la /usr/lib/compiz
sudo cp ./libs/libwallpaper.a /usr/lib/compiz
sudo cp ./libs/libwallpaper.so /usr/lib/compiz

[ optionally, get rid of the installed packages : ]
sudo apt-get purge build-essential
sudo apt-get purge intltool
sudo apt-get purge compiz-dev
sudo apt-get purge compiz-fusion-bcop
sudo apt-get autoremove

Have fun!

wiseflying (lihuipengsmacsb) wrote :

Thank so much Lorenzo, it seems that the compiling works well.

For the
"sudo cp ./libs/libwallpaper.a /usr/lib/compiz" and
"sudo cu ./libs/libwallpaper.so /usr/lib/compiz"

the "libs" folder is hidden in my system, so I change it as :

"sudo cp ./.libs/libwallpaper.a /usr/lib/compiz" and
"sudo cu ./.libs/libwallpaper.so /usr/lib/compiz".

A small problems still exists. The multiple wallpaper effects can only be rendered after a few seconds, which means every time I log in my system, the non-multiple-wall-paper state will last for a few seconds.

Does this happen to your system?

Lorenzo (lorped) wrote :

Il 05/11/2010 16:43, wiseflying ha scritto:
> "sudo cp ./.libs/libwallpaper.a /usr/lib/compiz" and
> "sudo cu ./.libs/libwallpaper.so /usr/lib/compiz".

yes, my fault

> A small problems still exists. The multiple wallpaper effects can only
> be rendered after a few seconds, which means every time I log in my
> system, the non-multiple-wall-paper state will last for a few seconds.
> Does this happen to your system?
Actually not. If there is a delay, it is so short I did't notice
Have you set a (different) wallpaper for the gdm session?
it may be a performance issue for the cpu or the graphic card, even if I
definetely haven't a "super-GPU" in my laptop (integrated Inted chip)
but a good processor (dual i5)

cablop (cablop) wrote :

It is not working. I followed all steps and still getting the empty wallpapers and the garbage stuff on screen.

smoosh (lolomcdoo) wrote :

I have a delay as well, but could care less because - it works! Also, when I turn off wallpaper and then enable it again, there is a very long delay where I have my gdm wallpaper for about 20 seconds. Everything works normally, then out of nowhere, the compiz wallpaper plugin starts working. Weird. Still, it works, so I'm happy for now. One bizzare thing is that while the gdm wallpaper is showing (before the wallpaper plugin kicks in) or if I disable the wallpaper plugin, the "reflection and deformation" plugin does not work when I rotate the cube. I have no idea what that means, but that's what happens....

The workaround in #6 worked for me too, on both an ubuntu box, and a fedora box :-)

Dàrent (animaletdesequia) wrote :

I can confirm than the solution of lorenzo #17 works for me with an ATI radeon x1600, with the same issue than wiseflying #19

Thanks! That was driving me crazy xD

Changed in xorg-server:
status: Unknown → Fix Released
Changed in xorg-server:
importance: Unknown → Medium
Timo Aaltonen (tjaalton) on 2011-02-17
affects: xorg-server (Ubuntu) → compiz (Ubuntu)
tags: added: compiz-0.8

Hello, the fix provided by Lorenzo worked also fine by me !:)
(Ubuntu 10.10 Geforce 7600GS)
Thanks a lot Lorenzo!

I can confirm that Lorenzo's updated wallpaper.c file attached to #14 worked for me as well. Ubuntu 10.10 with ATI 4770. Thank you, thank you, thank you!

Hi guys

I haven't had luck with this ... lorenzo patch

[My System]
Kubuntu Maverick 10.10 (fresh install [13/03/2011)
Sistema Xrand (Dual Head)
Workspace type: Desktop
Compiz 0.8.6
X Server: Xorg (X.Org X Server 1.9.0, Release Date: 2010-08-20)

[Configuration]
Compiz plugin wallpaper: Configured with valid jpeg and png images
Compiz plugins images: (section: image loading) Jpen e png correctly activated

[System Response]
System -> Workspace -> Workspace Type-> Desktop: I DON'T get any compiz configured images on my desktops ( it is like I haven't applied any patches/changes to the wallpaper plugin)

 System -> Workspace -> Workspace Type-> Notebook: It works and so I get the wallpapers as set on compiz but Notebook workspace is not what I want as Desktop type.

Can you help please?
I would be very grateful as I am doing a quite important thing with this

thanks in advance
Matteo Montanari

[p] web programmer
[e] <email address hidden>
[Skype] italinux.com
[w] www.italinux.com

BryanFRitt (bryanfritt) wrote :

Compiz wallpaper doesn't work for me either on Ubuntu 10.10, at least for the desktops I've tried KDE, GNOME, and XFCE. (with or without icons, or using the Ctrl+Alt+F2... trick, etc...)

This is currently my most wanted feature fixed of features that no longer work.

p.s. I think I read somewhere that Compiz wallpaper doesn't work in Ubuntu 11.04 (at least the alpha version)

Hiisukun (hiisukun) wrote :

11.04 beta - I can confirm the wallpaper plugin doesn't work. I managed to get the patched file to compile with a few modifications but that didn't help any.
I haven't been able to get the wallpaper plugin functioning at all in 11.04.

Also switching to a different vterm (ctrl+alt+fX) doesn't help in 11.04.

I can also confirm the Lorenzo patch fixed all my problems in 10.10. : )

Lorenzo (lorped) wrote :

Il 12/04/2011 16:16, Hiisukun ha scritto:
> 11.04 beta - I can confirm the wallpaper plugin doesn't work. I managed to get the patched file to compile with a few modifications but that didn't help any.
> I haven't been able to get the wallpaper plugin functioning at all in 11.04.
>
Wallpaper plugin inside
compiz-plugins-extra_0.9.4-0 does work with natty .
At least it works for me :)
> Also switching to a different vterm (ctrl+alt+fX) doesn't help in 11.04.
>
> I can also confirm the Lorenzo patch fixed all my problems in 10.10. : )
>

I can confirm that 11.04 is not fixed. Vterm workaround no longer works. Problem occurs with both the new and classic login modes. I can't even figure out how to make my computer usable since everything has been changed around. I give up (after 5+ years with Ubuntu), I'm going to try my luck with LMDE -- at least it shouldn't break my computer every six months.

Lorenzo (lorped) wrote :

Il 29/04/2011 23:38, Jim Thomas ha scritto:
> I can confirm that 11.04 is not fixed. Vterm workaround no longer
> works. Problem occurs with both the new and classic login modes. I
> can't even figure out how to make my computer usable since everything
> has been changed around. I give up (after 5+ years with Ubuntu), I'm
> going to try my luck with LMDE -- at least it shouldn't break my
> computer every six months.
>
It definitely works in 11.04 (official release, not beta, installed just
today).

smoosh (lolomcdoo) wrote :
Download full text (3.6 KiB)

Happened to me once in 11.04 so far. Had 11.04 installed for about a week,
and have logged in more than 20 times. I have no idea what was different
about the time I logged in when it happened...

On Fri, Apr 29, 2011 at 3:03 PM, Lorenzo <email address hidden> wrote:

> Il 29/04/2011 23:38, Jim Thomas ha scritto:
> > I can confirm that 11.04 is not fixed. Vterm workaround no longer
> > works. Problem occurs with both the new and classic login modes. I
> > can't even figure out how to make my computer usable since everything
> > has been changed around. I give up (after 5+ years with Ubuntu), I'm
> > going to try my luck with LMDE -- at least it shouldn't break my
> > computer every six months.
> >
> It definitely works in 11.04 (official release, not beta, installed just
> today).
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/629391
>
> Title:
> Compiz Wallpaper plugin broken in 10.10
>
> Status in X.Org X server:
> Fix Released
> Status in “compiz” package in Ubuntu:
> New
>
> Bug description:
> Binary package hint: compiz
>
> Since updating from Lucid to Meerkat the Compiz Wallpaper plugin under
> Utilities has been broken.
>
> 1. Instead of the various wallpapers, each workspace has a plain black
> background.
>
> 2. Switching between applications using Alt-Tab fills the screen with
> stacks of application images (I have Viewport Switcher enabled). This
> works fine with the Wallpaper plugin disabled.
>
> I tried changing to different wallpapers but this did not solve the
> issue.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: compiz 1:0.8.6-0ubuntu5
> ProcVersionSignature: Ubuntu 2.6.35-19.28-generic 2.6.35.3
> Uname: Linux 2.6.35-19-generic i686
> Architecture: i386
> CompizPlugins:
> [core,ccp,move,resize,place,decoration,imgjpeg,regex,text,svg,session,shift,minimize,vpswitch,png,commands,dbus,gnomecompat,mousepoll,workarounds,snap,resizeinfo,blur,thumbnail,reflex,wobbly,fade,neg,cube,rotate,expo,scale,ezoom,scaleaddon,switcher]
> Date: Fri Sep 3 10:51:28 2010
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
> MachineType: FUJITSU SIEMENS AMILO Li3910
> PackageArchitecture: all
> PciDisplay: 00:02.0 VGA compatible controller [0300]: Intel Corporation
> Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 09)
> (prog-if 00 [VGA controller])
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-19-generic
> root=UUID=03235bc1-25d9-41da-8d05-439904967e34 ro quiet splash
> ProcEnviron:
> LANG=en_GB.utf8
> SHELL=/bin/bash
> RelatedPackageVersions:
> xserver-xorg 1:7.5+6ubuntu3
> libgl1-mesa-glx 7.8.2-2ubuntu2
> libdrm2 2.4.21-1ubuntu2
> xserver-xorg-video-intel 2:2.12.0-1ubuntu3
> xserver-xorg-video-ati 1:6.13.1-1ubuntu4
> SourcePackage: compiz
> XorgConf: Error: [Errno 2] No such file or directory: '/etc/X11/xorg.conf'
> dmi.bios.date: 08/21/2009
> dmi.bios.vendor: Phoenix
> dmi.bios.version: 1.10
> dmi.board.name: EF9
> dmi.board.vendor: FUJITSU SIEMENS
> dmi.board.version: D3A
> dmi.chassis.asset.tag: No Asset Tag
> dmi.chassis.type: 10
> dmi....

Read more...

BryanFRitt (bryanfritt) wrote :

It would be nice to have Compiz Wallpaper working in KDE too!

Can someone lend some more detail about how this all works in Ubuntu 11.04? Sounds like some conflicting reports above.

I'm waiting to upgrade several machines until the status of this bug becomes clearer.

Thanks!

Following up on my own comment - this appears to be fixed in natty as far as I can see on the basis of two installs.
Cheers!

David Barth (dbarth) wrote :

Only security issues are now being considered for this release of Compiz (0.8).

Changed in compiz (Ubuntu):
status: New → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.